PUT
/api/v1/cdpbackup/database_update/{node_id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/database_update/{node_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "db_username": "admin", "db_password": "admin@1234"}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/database_update/{node_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "db_username": "admin", "db_password": "admin@1234", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/database_update/{node_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "db_username": "admin", "db_password": "admin@1234" }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
string
Path parameter node_id.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request
Example
<API_KEY>location
required
string
Specifies the backup target location.
Example
<LOCATION>Request Body
Section titled “Request Body”Media typeapplication/json
object
db_username
Database username for backup configuration
string
Example
admindb_password
Database password used for backup configuration
string
Example
admin@1234Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code of the Configure DB Backup response
integer
data
Result message for the DB backup configuration request.
string
errors
object
message
Status message indicating the result of the backup configuration request.
string
Example
{ "code": 200, "data": "Database settings has been updated successfully.", "message": "Success"}